/*
 * Created: May-August, 2007
 *
 * Evaluating Software Design Patterns
 * - the "Gang of Four" patterns implemented in Java 6
 *
 * Gunni Rode - http://www.rode.dk 
 *
 * Master's Thesis, Computer Science
 * Department of Computer Science,
 * The Faculty of Science,
 * University of Copenhagen
 * 
 * Feel free to use and/or modify the Java 6 source code 
 * developed for this thesis AT YOUR OWN RISK, but note 
 * that the source code comes WITHOUT ANY - and I do mean 
 * WITHOUT ANY - form of warranty WHAT SO EVER!
 *
 * The original thesis and source code are available at 
 * http://www.rode.dk/thesis
 * 
 */

/**
  * Defines <b>annotations</b> and <b>enumerations</b> corresponding to <b>"Gang of Four"
  * classifications and participants</b>, as well as annotations used to annotate actual 
  * source code to <b>identify pattern participants</b>. <p>
  * 
  * <b>Implementation notes</b>:<br>
  * The retention policy is set to runtime for the annotations defined
  * in this package. This will potentially allow applications to 
  * reflectively query classes for pattern participation.
  *  
  * @author Gunni Rode / <a href="http://www.rode.dk">rode.dk</a> 
  */
package dk.rode.thesis.meta;
